Get information about agent availability and expected waiting times for customer service
curl --request GET \
--url https://demo.enneo.ai/api/mind/agents/queue \
--header 'Authorization: Bearer <token>'{
"agentQueue": -1,
"liveConversationPossible": {
"chat": false
},
"expectedWaitingTime": {
"chat": -1
},
"success": true
}JWT-based authentication
Successful operation
Number of waiting conversations per available suitable agent. If this is for example 2.5, we have 2.5 chats that first need to be handled per agent until there is capacity for a new request. If -1, then there are no agents available
Estimated waiting times per channel in seconds. If -1, there are no humans available, and any incoming chat will be handled offline.
Anzeigen untergeordnete attribute
Estimated waiting time for chat channel before it is handled by a human. If -1, responses are done via email.
curl --request GET \
--url https://demo.enneo.ai/api/mind/agents/queue \
--header 'Authorization: Bearer <token>'{
"agentQueue": -1,
"liveConversationPossible": {
"chat": false
},
"expectedWaitingTime": {
"chat": -1
},
"success": true
}